Please add Dell driver for Conexant HSF modem in Hardy

Bug #187262 reported by Sergio Zanchetta on 2008-01-30
12
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Wishlist
Unassigned
Declined for Hardy by Martin Pitt
linux-meta (Ubuntu)
Wishlist
Unassigned
Declined for Hardy by Martin Pitt
linux-restricted-modules-2.6.24 (Ubuntu)
Wishlist
Unassigned
Declined for Hardy by Martin Pitt
restricted-manager (Ubuntu)
Undecided
Unassigned
Declined for Hardy by Martin Pitt

Bug Description

Binary package hint: linux-restricted-modules

I have a Compaq Presario 2125EA with a Conexant HSF modem. Ubuntu Gutsy.

I tried this driver from dell (.deb)

http://support.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R155004&SystemID=INSPIRONI6400/E1505&servicetag=&os=UBLN&osl=en&deviceid=8593&devlib=0&typecnt=0&vercnt=1&catid=-1&impid=-1&formatcnt=1&libid=20&fileid=206745

in order to use my internal winmodem and it works.
After rebooting I found it in use in restricted manager.

That driver is for 7.04 but during installation it builds appropriate module for kernel in use. It's very nice driver.

Since it works out of the box for several card ID (thus several PC and laptop), it would be useful if it was in restricted modules, and integrated in restricted manager in HARDY.

Sergio Zanchetta (primes2h) wrote :

Information about Dell driver is also reported in this Wiki:

https://help.ubuntu.com/community/DialupModemHowto/Conexant

Murat Gunes (mgunes) on 2008-02-11
Changed in linux-meta:
importance: Undecided → Wishlist
Changed in linux-restricted-modules-2.6.24:
importance: Undecided → Wishlist
Timo Aaltonen (tjaalton) on 2008-02-14
Changed in linux-restricted-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
status: New → Confirmed
Sergio Zanchetta (primes2h) wrote :

Is there a chance to see it in Hardy?

Could it be considered as a Freeze Exception for Hardy?

https://wiki.ubuntu.com/FreezeExceptionProcess

This driver works very good, doesn't create any problem due to auto-compiling.

Sergio Zanchetta (primes2h) wrote :

Just subscribed ubuntu-release team.
It would be very useful to have this driver in Hardy for all having Conexant winmodem.

According to this bug
https://bugs.launchpad.net/ubuntu/+source/sl-modem/+bug/47809

this driver works great for another conexant user. (see chris and mine comments)

Sergio Zanchetta (primes2h) wrote :
Steve Langasek (vorlon) wrote :

As a freeze exception candidate, this is fine; the kernel team have reasonable autonomy to add drivers to enable hardware that would otherwise be unsupported by Ubuntu. But that doesn't mean anyone has volunteered to do the work to get this into hardy. Freeze exception requests should come from developers who are willing to do the work.

Thank you very much for the feedback.

Unfortunately I don't think to have necessary skills to do this yet.

Is there someone out there interested in doing the work about conexant
modem driver?

I hope someone answer my call.

2008/2/26, Steve Langasek <email address hidden>:
> As a freeze exception candidate, this is fine; the kernel team have
> reasonable autonomy to add drivers to enable hardware that would
> otherwise be unsupported by Ubuntu. But that doesn't mean anyone has
> volunteered to do the work to get this into hardy. Freeze exception
> requests should come from developers who are willing to do the work.
>
>
> --
> [Freeze Exception] Please add Dell driver for Conexant HSF modem in Hardy
>
> https://bugs.launchpad.net/bugs/187262
> You received this bug notification because you are a direct subscriber
> of the bug.
>

restricted-manager is gone in hardy and replaced by jockey.

Changed in restricted-manager:
status: New → Invalid
Martin Pitt (pitti) wrote :

Once you have the driver installed, what are the steps you need to do to enable it? I need a detailled and robust recipe for jockey, since I do not have that hardware myself.

Changed in jockey:
status: New → Incomplete
Martin Pitt (pitti) wrote :

Closing unrelated linux-meta task.

Changed in linux-meta:
status: New → Invalid
Changed in jockey:
importance: Undecided → Wishlist

In gutsy, when installed using gdebi, I found it already enabled ("in use")
in restricted manager.

Now I tried to install this

http://linux.dell.com/files/ubuntu/modem-drivers/hsf/hsfmodem_7.60.00.18oem_i386.deb

on Hardy in Virtualbox (kernel 2.6.24-12 updated 2 days ago) but it fails
(attached you have install output and buildlog), maybe because i tested it
in Virtualbox...

To know what PCI IDs are supported by this driver, download package, open
with gdebi double-clicking on it (without install) and have a look into
description tab.

2008/3/18, Martin Pitt <email address hidden>:
>
> restricted-manager is gone in hardy and replaced by jockey.
>
> ** Changed in: restricted-manager (Ubuntu)
> Status: New => Invalid
>
>
> --
> [Freeze Exception] Please add Dell driver for Conexant HSF modem in Hardy
>
> https://bugs.launchpad.net/bugs/187262
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sergio Zanchetta (primes2h) wrote :

Sorry, I attached the deb one before. :-(

Sergio Zanchetta (primes2h) wrote :
Sergio Zanchetta (primes2h) wrote :

I tried with this one
http://support.dell.com/support/downloads/download.aspx?c=us&l=en&s=gen&releaseid=R155004&SystemID=INSPIRONI6400/E1505&servicetag=&os=UBLN&osl=en&deviceid=8593&devlib=0&typecnt=0&vercnt=1&catid=-1&impid=-1&formatcnt=1&libid=20&fileid=206745

that it is a prior version.

It ask me for linux source build folder (just press y for default one) but it fails as well. (but for other reasons, see files attached).

Sergio Zanchetta (primes2h) wrote :
Sergio Zanchetta (primes2h) wrote :

Update:
Using yesterday build Hardy live CD (27.03.2008) I was able to install hsfmodem_7.60.00.18oem_i386 correctly.

This is the log:

__________________________________________________
Selezionato il pacchetto hsfmodem, che non lo era.
(Lettura del database ... 97020 file e directory attualmente installati.)
Spacchetto hsfmodem (da .../hsfmodem_7.60.00.18oem_i386.deb) ...
Configuro hsfmodem (7.60.00.18oem) ...
Conexant HSF softmodem driver, version 7.60.00.18oem

If you need assistance or more information, please go to:
 http://www.linuxant.com/

When reporting a problem for the first time, please send
us the file generated by "hsfconfig --dumpdiag".

No pre-built modules for: Ubuntu-hardy linux-2.6.24-12-generic i686-SMP

Trying to automatically build the driver modules...
(this requires a C compiler and proper kernel sources to be installed)

Building modules for kernel 2.6.24-12-generic, using source directory
/lib/modules/2.6.24-12-generic/build. Please wait...
done.

************************************************************************
*
* The update-modules command is deprecated and should not be used!
*
************************************************************************

Unable to determine region, defaulting to "USA"

Setting region for modem unit 0: "USA"

To change, use "hsfconfig --region" or "AT+GCI=<T35code>"
The current region can be displayed by entering "ATI9" in a terminal program.

Note: HDA support not compiled in the driver (requires a 2.6.16 or later kernel)

Note: kernel module snd-via82xx-modem overridden by hsfmc97via
Note: kernel module snd-intel8x0m overridden by hsfmc97ich hsfmc97sis
Note: kernel module snd-atiixp-modem overridden by hsfmc97ati

Current parameters: ("hsfconfig --info")

Config for modem unit 0: /dev/ttySHSF0
 Device instance: 0-PCI-10b9:5457-103c:002a
 HW revision : CXT29 SSD=17 LSD=0x10
 HW profile name: hsfmc97ali
 Current region : USA (T.35 code: 00B5)
_____________________________________________________________

After that jockey shows a window like the one in the file attached.

The bad is that the driver doesn't work.
It tries to connect, but it isn't able.
Sometimes it seems to be connected (plog indicates it is) but trying to load a webpage in firefox results in "looking for 'webpage' " and nothing more.

I keep on trying with next hardy build and I let it know here.

Sergio Zanchetta (primes2h) wrote :

In Dell site, they have updated package for Hardy.
http://linux.dell.com/files/ubuntu/hardy/modem-drivers/hsf/
It installs correctly but after installing, I see a bug in jockey.
It shows that conexant low-level hardware driver is in use, but just above it says that "No restricted driver is in use".
See screenshot.

Thomas (tjustleft) wrote :

I installed the dell driver and it shows as low-level hardware driver is in use, but just above it says that "No restricted driver is in use" also.

Most of what I have read says this is supposed to be a full speed driver. Im getting less than 1 kbs. I will never be able to update my system or download any programs at that rate.

Any advice on how to speed it up? I don't have or even know the init strings for it. I've been stuck in windows too long. Ubuntu is over my head. :)

I hope someone can help. I am trying to set this up for my daughter. Her computer fried and we can't affored to buy windows for the one I put together for her.

Thanks.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Thank you for reporting this issue about a driver from the
linux-restricted-modules package. lrm-2.4.24 was shipped with Ubuntu
8.04 which reached end-of-life for desktop support on May 12th, 2011.

For that reason, this bug report is being closed at this time. I'm
marking it wontfix because what you describe is probably a valid issue,
but there are no plans to work on lrm 2.4.24 bugs further.

The issue may be resolved in a newer version. If not, aside from filing
a new bug report, another angle may be to file it directly with the
driver vendor.

Changed in linux-restricted-modules-2.6.24 (Ubuntu):
status: Confirmed → Won't Fix
Launchpad Janitor (janitor) wrote :

[Expired for jockey (Ubuntu) because there has been no activity for 60 days.]

Changed in jockey (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers